SessionControllerSetCustomAttributes Method |
POST /Session/CustomAttributes/
Sets the custom attributes for the specified session ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("CustomAttributes")]
public IActionResult SetCustomAttributes(
[FromBodyAttribute] SetSessionCustomAttributesOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("CustomAttributes")>
Public Function SetCustomAttributes (
<FromBodyAttribute> options As SetSessionCustomAttributesOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"CustomAttributes")]
IActionResult^ SetCustomAttributes(
[FromBodyAttribute] SetSessionCustomAttributesOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("CustomAttributes")>]
member SetCustomAttributes :
[<FromBodyAttribute>] options : SetSessionCustomAttributesOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsSetSessionCustomAttributesOptions
The information to be used to set the custom attributes for the session. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session (session must be of a user with high enough permissions to set attributes).
Return Value
Type:
IActionResultA status code indicating success or the reason for failure.
See Also